SIMKACOUNT(1)

NAME
simkaCount - comparative metagenomics method dedicated to NGS datasets

DESCRIPTION
ERROR: Unknown parameter '-h' ERROR: Option '-out-tmp-simka' is mandatory ERROR: Option '-bank-name' is mandatory ERROR: Option '-bank-index' is mandatory ERROR: Option '-min-read-size' is mandatory ERROR: Option '-min-shannon-index' is mandatory ERROR: Option '-max-reads' is mandatory ERROR: Option '-nb-datasets' is mandatory ERROR: Option '-nb-partitions' is mandatory ERROR: Option '-in' is mandatory

[SimkaCount options]

-nb-cores
    (1 arg) : number of cores [default '0']

-verbose
    (1 arg) : verbosity level [default '1']

-version
    (0 arg) : version

-help
    (0 arg) : help

-out-tmp-simka
    (1 arg) : tmp output

-bank-name
    (1 arg) : bank name

-bank-index
    (1 arg) : bank name

-min-read-size
    (1 arg) : bank name

-min-shannon-index
    (1 arg) : bank name

-max-reads
    (1 arg) : bank name

-nb-datasets
    (1 arg) : bank name

-nb-partitions
    (1 arg) : bank name

-in (1 arg) : reads file

-kmer-size
    (1 arg) : size of a kmer [default '31']

-abundance-min
    (1 arg) : min abundance threshold for solid kmers [default '0']

-abundance-max
    (1 arg) : max abundance threshold for solid kmers [default '2147483647']

-abundance-min-threshold
    (1 arg) : min abundance hard threshold (only used when min abundance is "auto") [default '2']

-histo-max
    (1 arg) : max number of values in kmers histogram [default '10000']

-solidity-kind
    (1 arg) : way to compute counts of several files (sum, min, max, one, all, custom) [default 'sum']

-solidity-custom
    (1 arg) : when solidity-kind is custom, specifies list of files where kmer must be present [default '']

-max-memory
    (1 arg) : max memory (in MBytes) [default '5000']

-max-disk
    (1 arg) : max disk (in MBytes) [default '0']

-solid-kmers-out
    (1 arg) : output file for solid kmers (only when constructing a graph) [default '']

-out
    (1 arg) : output file [default '']

-out-dir
    (1 arg) : output directory [default '.']

-out-tmp
    (1 arg) : output directory for temporary files [default '.']

-out-compress
    (1 arg) : h5 compression level (0:none, 9:best) [default '0']

-storage-type
    (1 arg) : storage type of kmer counts ('hdf5' or 'file') [default 'hdf5']

-histo2D
    (1 arg) : compute the 2D histogram (with first file = genome, remaining files = reads) [default '0']

-histo
    (1 arg) : output the kmer abundance histogram [default '0']

    [kmer count, advanced performance tweaks options]

-minimizer-type
    (1 arg) : minimizer type (0=lexi, 1=freq) [default '0']

-minimizer-size
    (1 arg) : size of a minimizer [default '10']

-repartition-type (1 arg) :
    minimizer repartition (0=unordered, 1=ordered) [default '0']

AUTHOR
This manpage was written by Shayan Doust for the Debian distribution and can be used for any other usage of the program.